Skip to main content
GET
/
products
/
search-products
/
v3
Search for products
curl --request GET \
  --url https://api.collectpure.com/products/search-products/v3 \
  --header 'x-api-key: <api-key>'
{
  "data": {
    "products": [
      {
        "id": "<string>",
        "title": "<string>",
        "description": "<string>",
        "sku": "<string>",
        "category": "<string>",
        "sub_category": "<string>",
        "material": "<string>",
        "manufacturer": "<string>",
        "weight": "<string>",
        "weight_grams": 123,
        "purity": "<string>",
        "premium_calculation_type": "<string>",
        "view_count": 123,
        "certificate_provider": "<string>",
        "attributes": [
          123
        ],
        "variants": [
          {
            "id": "<string>",
            "title": "<string>",
            "description": "<string>",
            "sortKey": 123
          }
        ],
        "images": [
          "<string>"
        ],
        "listing_id": "<string>",
        "listing_price": 123,
        "listing_spot_premium": 123,
        "listing_spot_premium_dollar": 123,
        "listing_expires_at": "<string>",
        "offer_id": "<string>",
        "offer_price": 123,
        "offer_spot_premium": 123,
        "offer_spot_premium_dollar": 123,
        "offer_expires_at": "<string>",
        "is_stocked_by_bb_store": true,
        "is_certified": true,
        "is_esg": true,
        "is_ira": true,
        "is_numismatic": true,
        "has_listing": true,
        "has_offer": true,
        "favorite_count": 123,
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ],
    "total": 123,
    "facets": [
      {
        "field": "<string>",
        "counts": [
          {
            "value": "<string>",
            "count": 123
          }
        ],
        "stats": {
          "min": 123,
          "max": 123,
          "sum": 123,
          "avg": 123,
          "total_values": 123
        }
      }
    ]
  }
}

Authorizations

x-api-key
string
header
required

API key for authentication

Query Parameters

query
string
limit
integer
Required range: 1 <= x <= 250
offset
integer
Required range: 0 <= x <= 9007199254740991
filter_by
string

Response

200 - application/json

Default Response

data
object
required